
QGIS Application - Bug report #16732

QGIS Crashing Continually

2017-06-20 09:10 PM - Leigh Seitz

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:2.18.9 Regression?: Yes

Operating System: Windows 10, macOS Sierra Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24631

Description

Hi, I was running a training on introductory QGIS and the most recent version keeps crashing on both PC and Mac users. My PC with the

most recent version receives the minidump crash error when I try to display symbology or perform joins. My students that are Mac users

couldn't open .csv files, and my PC users froze when opening vector files. Is there a massive bug in the most recent QGIS version? I'm

conducting another training in 2 days and would love to advise how to fix this problem for my students.

History

#1 - 2017-06-20 09:18 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

how did you install on Windows and macOS?

on Windows did you used the osgeo4w installer? can you check the version of GDAL installed (as seen in the osgeo4w installer > advanced install)?

Also:

remove any 4rd party plugin, even better if you can start from scratch and remove the .qgis2 folder, then if needing plugins install them only when needed.

If the culprit is a plugin you will notice at that point.

#2 - 2017-06-20 09:49 PM - Leigh Seitz

Using the osgeo4w installer, I installed the long term version 2.14.15 which fixed the problem of crashing on my computer, but the 2.18.9 still gives me the

same glitches.

With 2.18.9 installed I continually removed the .qgis2 folder and still got the mini dump crash error message, which wrote to a new .qgis2 folder.

The new users originally installed 2.18.9 via the Windows Standalone Installer and the KyngChaos QGIS for macOS. The new users had no extra plugins

installed.

Has anyone else experienced this issue on version 2.18.9?

#3 - 2017-06-20 09:55 PM - Giovanni Manghi

Leigh Seitz wrote:

Using the osgeo4w installer, I installed the long term version 2.14.15 which fixed the problem of crashing on my computer, but the 2.18.9 still gives
me the same glitches.

With 2.18.9 installed I continually removed the .qgis2 folder and still got the mini dump crash error message, which wrote to a new .qgis2 folder.

The new users originally installed 2.18.9 via the Windows Standalone Installer and the KyngChaos QGIS for macOS. The new users had no extra

plugins installed.

Has anyone else experienced this issue on version 2.18.9?

if you used the osgeo4w installer > advanced install

and have installed/upgraded today, then you installed an uopdate of the GDAL library that has been reported to make QGIS very unstable. The same

installer allows you downgrade to the previous version of GDAL and you'll again a stable 2.18.9.

Check if you have GDAL

2.2.0-5

the osgeo4w installer allows you downgrade, in this case to

2.2.0-3

The "new" .qgis2 folder is normal, if it does not exist qgis recreates it because it needs it to store fundamental stuff.

If 2.14.15 works and is stable than use it, also on macOS, after all is still the LTR version of QGIS.

#4 - 2017-06-20 10:03 PM - Ger CO

Leigh Seitz wrote:

Using the osgeo4w installer, I installed the long term version 2.14.15 which fixed the problem of crashing on my computer, but the 2.18.9 still gives

me the same glitches.

With 2.18.9 installed I continually removed the .qgis2 folder and still got the mini dump crash error message, which wrote to a new .qgis2 folder.

The new users originally installed 2.18.9 via the Windows Standalone Installer and the KyngChaos QGIS for macOS. The new users had no extra

plugins installed.

Has anyone else experienced this issue on version 2.18.9?

I have had the exact same experience in February while conducting a QGIS course at an university. Constant minidump errors when joining by attributes,

zooming in and out and categrized symbology. The class had qgis 2.18.x installed from osgeo4w installer with no additional plugins installed. OS was win 7

64bit. I regularly have crashes at work as well.

#5 - 2017-06-20 10:07 PM - Giovanni Manghi

I have had the exact same experience in February while conducting a QGIS course at an university. Constant minidump errors when joining by

attributes, zooming in and out and categrized symbology. The class had qgis 2.18.x installed from osgeo4w installer with no additional plugins

installed. OS was win 7 64bit. I regularly have crashes at work as well.
well this is of course something unfortunate, but not certainly the experience of the vast majority of users, if you exclude the situation I described you above

(which by the way you haven't yet confirmed to me or not) the problem of very frequent crashes is often something causes by a local issue. I'm not saying

we are bug free, I'm saying that if QGIS would crash constantly for anyone we would not be where we are now.

let's try to pinpoint your specific proble, for that please do the check I asked for above.

cheers

-- G --

#6 - 2017-07-25 08:27 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
